@import 'variables.scss';

.dashboard-page {
  width: 100%;
  height: calc(100vh - 110px);
  background: #f8f6fa;
  position: relative;

  // top page
  .top-page {
    display: flex;
    align-items: center;
    width: 100%;
    height: 55px;
    margin-bottom: 20px;
    background: $white-text-color;
    -webkit-box-shadow: 0px 0px 5px 0px rgba(0, 0, 0, 0.1);
    -moz-box-shadow: 0px 0px 5px 0px rgba(0, 0, 0, 0.1);
    box-shadow: 0px 0px 5px 0px rgba(0, 0, 0, 0.1);

    .box-location {
      display: flex;
      align-items: center;
      width: 204px;
      height: 100%;
      position: relative;

      .name-box {
        display: block;
        width: 80px;
        font-size: 10px;
        font-weight: bold;
        color: $default-border-color;
        text-transform: uppercase;
        text-indent: 14px;
      }

      .box-dropdown {
        width: calc(100% - 80px);
        height: 20px;
        position: relative;
      }
    }

    .box-search {
      display: flex;
      align-items: center;
      width: calc(100% - 204px);
      height: 100%;
      padding-left: 20px;
      border-right: 1px solid $default-color;
      background: $white-text-color;
      position: relative;

      .name-box {
        width: 96px;
        display: block;
        padding-right: 18px;
        font-size: 10px;
        font-weight: bold;
        color: $default-border-color;
        text-transform: uppercase;
      }

      cts-autocomplete-wells-name {
        width: calc(100% - 96px);
        height: 100%;
      }
    }
  }

  // second page
  .second-page {
    width: calc(100% - 40px);
    margin: 0 auto;
    background: rgba(247, 247, 249, 0.8);
    -webkit-box-shadow: 0px 0px 5px 0px rgba(0, 0, 0, 0.1);
    -moz-box-shadow: 0px 0px 5px 0px rgba(0, 0, 0, 0.1);
    box-shadow: 0px 0px 5px 0px rgba(0, 0, 0, 0.1);
    border-radius: 5px;
    position: relative;

    // top title
    .top-title {
      display: flex;
      align-items: center;
      justify-content: space-between;
      height: 60px;
      padding: 0 30px 0 24px;
      border-radius: 5px 5px 0 0;
      background: $white-text-color;

      .title-page {
        display: block;
        font-size: 18px;
        font-weight: bold;
        color: $gray-darker;
        text-transform: capitalize;
      }

      .box-export {
        display: flex;
        align-items: center;

        .export-icon {
          font-size: 24px;

          &.pdf-icon {
            color: $primary-color;
          }

          &.csv-icon {
            color: $primary-color;
          }
        }

        .title-export {
          display: block;
          font-size: 12px;
          font-weight: bold;
          color: $gray-darker;
          text-transform: uppercase;
        }

        .click-export {
          display: block;
          width: 20px;
          margin-left: 15px;
        }
      }
    }

    // cover content
    .cover-content {
      display: flex;
      justify-content: space-between;
      width: 100%;
      min-height: 520px;
      height: calc(100vh - 255px);
      border-radius: 0 0 5px 5px;
      box-shadow: 0px 0px 0 0 rgba(0, 0, 0, 0.1);

      // left content
      .left-content {
        width: 259px;
        min-height: 520px;
        padding-bottom: 42px;
        background: $fc-gray;
        position: relative;
        border-right: 1px solid #eceeef;
        border-radius: 0 0 0 5px;

        // cover tab
        ::ng-deep.cover-tab {
          width: 100%;
          height: 100%;

          .mat-tab-header-pagination-controls-enabled {
            .mat-tab-header-pagination {
              display: none;
            }
          }

          .mat-tab-body-wrapper {
            height: 100%;
          }

          .mat-tab-label {
            min-width: 130px;
            font-size: 12px;
            color: $gray;
            opacity: 1;
            &.mat-tab-label-active {
              font-weight: bold;
              color: $primary-color;
            }
          }
          .mat-ink-bar {
            background: $primary-color;
          }
        }

        .bottom-btn {
          display: flex;
          align-items: center;
          justify-content: space-between;
          width: 100%;
          height: 50px;
          padding: 0 9px;
          border-radius: 0 0 0 5px;
          background: $white-text-color;
          box-shadow: 0 -2px 4px 0 rgba(0, 0, 0, 0.03), inset 0 1px 0 0 #eceeef, inset -1px 0 0 0 #eceeef;
          position: absolute;
          left: 0;
          bottom: 0;
          z-index: 50;

          .btn-reset {
            display: flex;
            align-items: center;
            justify-content: center;
            width: 110px;
            height: 32px;
            padding: 0;
            font-size: 12px;
            font-weight: bold;
            color: $gray-darker;
            border: none;
            border-radius: 3px;
            background: transparent;
            cursor: pointer;
            ::ng-deep.mat-button-wrapper {
              line-height: 32px;
            }
            &.btn-show {
              color: $white-text-color;
              background: $green-bg;
            }
          }
        }
      }

      // right content
      .right-content {
        width: calc(100% - 259px);
        min-height: 520px;
        border-radius: 0 0 5px 0;
        background: $white-text-color;
        position: relative;

        ::ng-deep.mat-tab-group {
          height: 100%;

          .mat-tab-body-wrapper {
            height: 100%;
          }

          .mat-tab-header {
            padding-left: 20px;
            background: $fc-gray;
          }
          .mat-tab-label {
            font-size: 12px;
            color: $gray;
            opacity: 1;
            &.mat-tab-label-active {
              font-weight: bold;
              color: $primary-color;
            }
          }
          .mat-ink-bar {
            background: $primary-color;
          }
        }

        .box-table {
          display: block;
          width: 100%;
          background: $white-text-color;
          position: relative;
        }

        .chart-here {
          width: 100%;
          height: 100%;
          cts-line-chart {
            width: 100%;
            height: 100%;
            display: block;
          }
        }

        .box-emty {
          display: flex;
          align-items: center;
          justify-content: center;
          width: 100%;
          height: 100%;

          .content-box {
            width: 185px;

            img {
              display: block;
              width: 47px;
              height: 64px;
              margin: 0 auto 19px;
            }

            .text-emty {
              display: block;
              font-size: 13px;
              color: #cccccc;
              text-align: center;
              line-height: 17px;
            }
          }
        }

        .container-tab {
          min-width: 826px;
          height: 100%;
          overflow-x: auto;
        }
      }
    }
  }
}

.content-loading {
  display: block;
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  z-index: 100;
}
